#include <iostream>
#include <vector>
#include <map>

double solve(int *arr, int n, int k, int c)
{
    if (c + k > n) return 0.0;

    double sum = 0.0;
    for (int i = c; i < c + k; ++i)
    {
        sum += arr[i];
    }
    double avg = sum / k;
    //std::cout <<avg <<" ";
    double next = solve(arr, n, k, c + 1);
    return avg > next ? avg : next;
}

int main()
{
    int n, k;
    std::cin>>n>>k;

    int *arr = new int[n];
    for (int i = 0; i < n; ++i)
        std::cin>>arr[i];

    /*double max = 0.0;
    for (int i = k; i < n; ++i)
    {
        double avg = ;
        if (avg > max)
            max = avg;
        ++k;
        std::cout << std::endl;
    }*/

    std::cout << solve(arr, n, k, 0) << std::endl;
}
